Subject: Re: bug#711: 23.0.60; line movement behaviour has changed

From: Glenn Morris <[email-masked]>
Date: Wed, 13 Aug 2008 12:58:18 -0400

tags 711 notabug
stop

Peter Dyballa wrote (on Wed, 13 Aug 2008 at 17:15 +0200):

> In earlier versions of GNU Emacs 23.0.60 C-n, cursor-down, C-p,  
> cursor-up, processed text lines. Now the text cursor moves only  
> through lines on the screen.

When development versions of Emacs show new behaviour, read etc/NEWS.

* Editing Changes in Emacs 23.1

** The C-n and C-p line-motion commands now move by screen lines,
taking continued lines and variable-width characters into account.
Setting `line-move-visual' to nil reverts this to the previous
behavior (motion by logical lines based on buffer contents alone).